Get a phone number's ownership tracking detail
Get the ownership status of a phone number, when it was last checked, the carrier recorded as its baseline, and the history of ownership events.
GET
/
enterprises
/
{enterprise_id}
/
reputation
/
numbers
/
{phone_number}
/
ownership
Get a phone number's ownership tracking detail
curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"phone_number": "+19493253498",
"source": "external",
"ownership_status": "verified",
"flag_reason": null,
"confirm_by": null,
"last_checked_at": "2026-10-05T06:00:41Z",
"baseline_carrier": "114J",
"baseline_recorded_at": "2026-09-20T15:22:09Z",
"history": [
{
"event_type": "check",
"outcome": "unchanged",
"occurred_at": "2026-10-05T06:00:41Z"
}
]
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
The enterprise id. Lowercase UUID.
Example:
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Phone number in E.164 format (+1NPANXXXXXX for US/CA). The leading + MUST be URL-encoded as %2B (e.g. %2B19493253498).
Example:
"+19493253498"
Response
Ownership tracking detail.
Show child attributes
Show child attributes
Was this page helpful?
Get a phone number's ownership tracking detail
curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/numbers/{phone_number}/ownership")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"phone_number": "+19493253498",
"source": "external",
"ownership_status": "verified",
"flag_reason": null,
"confirm_by": null,
"last_checked_at": "2026-10-05T06:00:41Z",
"baseline_carrier": "114J",
"baseline_recorded_at": "2026-09-20T15:22:09Z",
"history": [
{
"event_type": "check",
"outcome": "unchanged",
"occurred_at": "2026-10-05T06:00:41Z"
}
]
}
}